proc _replaceNewline {value replacement} {
    return [string map [list "\r" "" "\n" $replacement] $value]
}

proc replaceNewlineByPipe {value type _extraArguments} {
    return [_replaceNewline $value "|"]
}
